summaryrefslogtreecommitdiff
path: root/unigen/fetch
diff options
context:
space:
mode:
authorThomas Voss <mail@thomasvoss.com> 2026-02-24 11:08:42 +0100
committerThomas Voss <mail@thomasvoss.com> 2026-02-24 11:08:42 +0100
commit7d42170c8625de0fe44b98f47e8b9a603a9de794 (patch)
tree86623e0e0809d23ee3dd861ad7006ff21672e455 /unigen/fetch
Genesis commit
Diffstat (limited to 'unigen/fetch')
-rwxr-xr-xunigen/fetch19
1 files changed, 19 insertions, 0 deletions
diff --git a/unigen/fetch b/unigen/fetch
new file mode 100755
index 0000000..46c02f9
--- /dev/null
+++ b/unigen/fetch
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+set -e
+
+cd "${0%/*}"
+trap 'rm -f UCD.zip' EXIT
+
+set -x
+mkdir -p data
+curl -LO https://www.unicode.org/Public/zipped/latest/UCD.zip
+unzip -od data UCD.zip
+
+# XID_Start and XID_Continue additions
+cat <<-EOF >>data/DerivedCoreProperties.txt
+0024 ; XID_Start # Pc DOLLAR SIGN
+005F ; XID_Start # Pc LOW LINE
+2032..2034 ; XID_Continue # Po [3] PRIME..TRIPLE PRIME
+2057 ; XID_Continue # Po QUADRUPLE PRIME
+EOF